Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 104962

Summary: sys-apps/hotplug needs updated scsi.agent for 2.6 headers
Product: Gentoo Linux Reporter: Steve Arnold <nerdboy>
Component: [OLD] Core systemAssignee: Greg Kroah-Hartman (RETIRED) <gregkh>
Status: RESOLVED WONTFIX    
Severity: minor    
Priority: High    
Version: unspecified   
Hardware: All   
OS: All   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on: 145809    
Bug Blocks:    

Description Steve Arnold archtester gentoo-dev 2005-09-05 15:56:08 UTC
This should probably be the default since 2.6 headers/kernel is now the default, 
if I'm not mistaken...

The current /etc/hotplug/scsi.agent still uses the old form:

5)          TYPE=cdrom ;

for CD-ROM, while scsi.h in 2.6 uses TYPE=rom instead.  There could be a simple 
patch for 2.4 headers...
Comment 1 Jakub Moc (RETIRED) gentoo-dev 2007-09-04 00:04:26 UTC
sys-apps/hotplug is useless with any recent udev version, and 2.4 kernels are no longer supported. Unmerge it and move on.

WONTFIX.